-- MySQL Script generated by MySQL Workbench
-- 25/04/2018 15:44:35
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering


SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema aplicacaojava
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema aplicacaojava
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `aplicacaojava` DEFAULT CHARACTER SET utf8 ;
-- -----------------------------------------------------
-- Schema aplicacaojava
-- -----------------------------------------------------
USE `aplicacaojava` ;

-- -----------------------------------------------------
-- Table `aplicacaojava`.`TB_CLIENTE`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `aplicacaojava`.`TB_CLIENTE` (
  `ID_CLIENTE` INT NOT NULL AUTO_INCREMENT COMMENT 'id do cliente',
  `NO_CLIENTE` VARCHAR(45) NULL COMMENT 'Nome do cliente',
  `ENDERECO` VARCHAR(150) NULL COMMENT 'Endereço do Cliente',
  `TELEFONE` VARCHAR(15) NULL COMMENT 'Telefone do Cliente',
  `NU_CPF` VARCHAR(11) NULL,
  PRIMARY KEY (`ID_CLIENTE`),
  UNIQUE INDEX `NU_CPF_UNIQUE` (`NU_CPF` ASC))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `aplicacaojava`.`TB_PRODUTO`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `aplicacaojava`.`TB_PRODUTO` (
  `ID_PRODUTO` INT NOT NULL AUTO_INCREMENT COMMENT 'Id do produto',
  `NO_PRODUTO` VARCHAR(45) NULL COMMENT 'Nome do Produto',
  `QUANTIDADE` INT NULL COMMENT 'Quantidade de Produtos.',
  `PRECO` DOUBLE NULL COMMENT 'Preço dos Produtos',
  PRIMARY KEY (`ID_PRODUTO`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `aplicacaojava`.`TB_COMPRA`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `aplicacaojava`.`TB_COMPRA` (
  `ID_COMPRA` INT NOT NULL AUTO_INCREMENT COMMENT 'id da compra',
  `DT_COMPRA` TIMESTAMP(6) NOT NULL COMMENT 'Data da compra',
  `TB_CLIENTE_ID_CLIENTE` INT NOT NULL,
  `TP_PAGAMENTO` CHAR(1) NULL COMMENT 'Tipo de Pagamento.',
  PRIMARY KEY (`ID_COMPRA`),
  INDEX `fk_TB_COMPRA_TB_CLIENTE_idx` (`TB_CLIENTE_ID_CLIENTE` ASC),
  CONSTRAINT `fk_TB_COMPRA_TB_CLIENTE`
    FOREIGN KEY (`TB_CLIENTE_ID_CLIENTE`)
    REFERENCES `aplicacaojava`.`TB_CLIENTE` (`ID_CLIENTE`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `aplicacaojava`.`RL_ITEN_COMPRA`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `aplicacaojava`.`RL_ITEN_COMPRA` (
  `ID_ITEN_COMPRA` INT NOT NULL AUTO_INCREMENT,
  `TB_COMPRA_ID_COMPRA` INT NOT NULL COMMENT 'FK tb_compra',
  `TB_PRODUTO_ID_PRODUTO` INT NOT NULL COMMENT 'FK TB_PRODUTO',
  `VL_DESCONTO` DOUBLE NULL COMMENT 'Valor de Desconto.',
  PRIMARY KEY (`ID_ITEN_COMPRA`),
  UNIQUE INDEX `ID_ITEN_COMPRA_UNIQUE` (`ID_ITEN_COMPRA` ASC),
  INDEX `fk_RL_ITEN_COMPRA_TB_COMPRA1_idx` (`TB_COMPRA_ID_COMPRA` ASC),
  INDEX `fk_RL_ITEN_COMPRA_TB_PRODUTO1_idx` (`TB_PRODUTO_ID_PRODUTO` ASC),
  CONSTRAINT `fk_RL_ITEN_COMPRA_TB_COMPRA1`
    FOREIGN KEY (`TB_COMPRA_ID_COMPRA`)
    REFERENCES `aplicacaojava`.`TB_COMPRA` (`ID_COMPRA`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_RL_ITEN_COMPRA_TB_PRODUTO1`
    FOREIGN KEY (`TB_PRODUTO_ID_PRODUTO`)
    REFERENCES `aplicacaojava`.`TB_PRODUTO` (`ID_PRODUTO`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
